// ANCHOR: here
struct QuitMessage; // Struktura jednostkowa
struct MoveMessage {
    x: i32,
    y: i32,
}
struct WriteMessage(String); // Struktura krotkowa
struct ChangeColorMessage(i32, i32, i32); // Struktura krotkowa
                                          // ANCHOR_END: here

fn main() {}
